Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class ModelSource

    java.lang.Object
      com.sun.media.sound.ModelSource

    public class ModelSource

extends java.lang.Object

This class is used to identify sources in connection blocks, see ModelConnectionBlock.

Author:
  Karl Helgason

Field Summary
`static ModelIdentifier` | `SOURCE_EG1`
`static ModelIdentifier` | `SOURCE_EG2`
`static ModelIdentifier` | `SOURCE_LFO1`
`static ModelIdentifier` | `SOURCE_LFO2`
`static ModelIdentifier` | `SOURCE_MIDI_CC_0`
`static ModelIdentifier` | `SOURCE_MIDI_CHANNEL_PRESSURE`
`static ModelIdentifier` | `SOURCE_MIDI_PITCH`
`static ModelIdentifier` | `SOURCE_MIDI_POLY_PRESSURE`
`static ModelIdentifier` | `SOURCE_MIDI_RPN_0`
`static ModelIdentifier` | `SOURCE_NONE`
`static ModelIdentifier` | `SOURCE_NOTEON_KEYNUMBER`
`static ModelIdentifier` | `SOURCE_NOTEON_VELOCITY`

Constructor Summary
`ModelSource()`
`ModelSource(ModelIdentifier id)`
`ModelSource(ModelIdentifier id, boolean direction)`
`ModelSource(ModelIdentifier id, boolean direction, boolean polarity)`
`ModelSource(ModelIdentifier id, boolean direction, boolean polarity, int transform)`
`ModelSource(ModelIdentifier id, ModelTransform transform)`

Method Summary
`ModelIdentifier` | `getIdentifier()`
`ModelTransform` | `getTransform()`
`void` | `setIdentifier(ModelIdentifier source)`
`void` | `setTransform(ModelTransform transform)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE_NONE

    public static final ModelIdentifier SOURCE_NONE

### SOURCE_NOTEON_KEYNUMBER

    public static final ModelIdentifier SOURCE_NOTEON_KEYNUMBER

### SOURCE_NOTEON_VELOCITY

    public static final ModelIdentifier SOURCE_NOTEON_VELOCITY

### SOURCE_EG1

    public static final ModelIdentifier SOURCE_EG1

### SOURCE_EG2

    public static final ModelIdentifier SOURCE_EG2

### SOURCE_LFO1

    public static final ModelIdentifier SOURCE_LFO1

### SOURCE_LFO2

    public static final ModelIdentifier SOURCE_LFO2

### SOURCE_MIDI_PITCH

    public static final ModelIdentifier SOURCE_MIDI_PITCH

### SOURCE_MIDI_CHANNEL_PRESSURE

    public static final ModelIdentifier SOURCE_MIDI_CHANNEL_PRESSURE

### SOURCE_MIDI_POLY_PRESSURE

    public static final ModelIdentifier SOURCE_MIDI_POLY_PRESSURE

### SOURCE_MIDI_CC_0

    public static final ModelIdentifier SOURCE_MIDI_CC_0

### SOURCE_MIDI_RPN_0

    public static final ModelIdentifier SOURCE_MIDI_RPN_0

Constructor Detail

### ModelSource

    public ModelSource()

### ModelSource

    public ModelSource(ModelIdentifier id)

### ModelSource

    public ModelSource(ModelIdentifier id,
                       boolean direction)

### ModelSource

    public ModelSource(ModelIdentifier id,
                       boolean direction,
                       boolean polarity)

### ModelSource

    public ModelSource(ModelIdentifier id,
                       boolean direction,
                       boolean polarity,
                       int transform)

### ModelSource

    public ModelSource(ModelIdentifier id,
                       ModelTransform transform)

Method Detail

### getIdentifier

    public ModelIdentifier getIdentifier()

### setIdentifier

    public void setIdentifier(ModelIdentifier source)

### getTransform

    public ModelTransform getTransform()

### setTransform

    public void setTransform(ModelTransform transform)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD